{
    "name": "@golemio/general",
    "version": "1.0.5",
    "description": "Golemio General Module",
    "main": "dist/index.js",
    "types": "dist/index.d.ts",
    "scripts": {
        "build": "rimraf ./dist && ttsc -p ./tsconfig.build.json",
        "build-minimal": "run-s 'build --sourceMap false --declaration false'",
        "build-watch": "run-s 'build --watch --preserveWatchOutput'",
        "test": "cross-env NODE_ENV=test TS_NODE_COMPILER='ttypescript' mocha --exit --check-leaks --timeout 120000 -r ts-node/register -r dotenv/config 'test/**/*.test.ts'",
        "test-debug": "run-s 'test --inspect-brk=9230'",
        "code-coverage": "cross-env NODE_ENV=test TS_NODE_COMPILER='ttypescript' nyc mocha --exit --timeout 120000 -r ts-node/register -r dotenv/config -r source-map-support/register 'test/**/*.test.ts'",
        "generate-docs": "typedoc --out docs/typedoc src",
        "lint": "eslint \"{src,test}/**/*.ts\""
    },
    "keywords": [
        "golemio"
    ],
    "author": "Operator ICT, a.s.",
    "license": "MIT",
    "repository": {
        "type": "git",
        "url": "https://gitlab.com/operator-ict/golemio/code/modules/general"
    },
    "devDependencies": {
        "@commitlint/cli": "^11.0.0",
        "@commitlint/config-conventional": "^11.0.0",
        "@golemio/core": "1.2.13",
        "@golemio/eslint-config": "^1.0.2",
        "@ovos-media/ts-transform-paths": "^1.7.18-1",
        "@types/body-parser": "1.19.0",
        "@types/chai": "4.2.3",
        "@types/chai-as-promised": "7.1.2",
        "@types/mocha": "^8.2.0",
        "@types/node": "^16.11.35",
        "@types/sinon": "^9.0.10",
        "@types/supertest": "^2.0.10",
        "body-parser-xml": "^2.0.0",
        "chai": "4.2.0",
        "chai-as-promised": "7.1.1",
        "cross-env": "^7.0.3",
        "dotenv": "^8.2.0",
        "eslint": "^7.17.0",
        "husky": "^4.3.7",
        "mocha": "^8.2.1",
        "npm-run-all": "^4.1.5",
        "nyc": "^15.1.0",
        "prettier": "^2.2.1",
        "pretty-quick": "^3.1.0",
        "rimraf": "^3.0.2",
        "sinon": "^9.2.3",
        "source-map-support": "0.5.19",
        "supertest": "^6.0.1",
        "ts-node": "^10.7.0",
        "ttypescript": "^1.5.13",
        "typedoc": "^0.22.15",
        "typescript": "4.6.4"
    },
    "peerDependencies": {
        "@golemio/core": "^1.0.0"
    },
    "dependencies": {
        "body-parser": "1.19.0"
    },
    "resolutions": {
        "qs": "^6.7.3"
    }
}
